Package org.apache.tapestry5.javadoc

# Class ParameterDescription

java.lang.Object
org.apache.tapestry5.javadoc.ParameterDescription

public class ParameterDescription extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final boolean`
  `allowNull`
  `final boolean`
  `cache`
  `final String`
  `defaultPrefix`
  `final String`
  `defaultValue`
  `final boolean`
  `deprecated`
  `final VariableElement`
  `field`
  `final String`
  `name`
  `final boolean`
  `required`
  `final String`
  `since`
  `final String`
  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterDescription(VariableElement fieldDoc, String name, String type, String defaultValue, String defaultPrefix, boolean required, boolean allowNull, boolean cache, String since, boolean deprecated, DocCommentTreeProvider docCommentTreeProvider)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `extractDescription()`
  Extracts the description, converting Text and @link nodes as needed into markup text.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### field

    public final VariableElement field

  - ### name

    public final String name

  - ### type

    public final String type

  - ### defaultValue

    public final String defaultValue

  - ### defaultPrefix

    public final String defaultPrefix

  - ### required

    public final boolean required

  - ### allowNull

    public final boolean allowNull

  - ### cache

    public final boolean cache

  - ### since

    public final String since

  - ### deprecated

    public final boolean deprecated

- ## Constructor Details

  - ### ParameterDescription

    public ParameterDescription(VariableElement fieldDoc, String name, String type, String defaultValue, String defaultPrefix, boolean required, boolean allowNull, boolean cache, String since, boolean deprecated, DocCommentTreeProvider docCommentTreeProvider)

- ## Method Details

  - ### extractDescription

    public String extractDescription() throws IOException
    Extracts the description, converting Text and @link nodes as needed into markup text.
    Returns:
      markup text, ready for writing
    Throws:
      `IOException` - if some error occurs.